from netforce.model import Model, fields

class ImportDataNHSO(Model):
    _name="clinic.data.nhso"
    _transient=True
    _fields={
        'name': fields.Char("Name"),
        'type': fields.Selection([['success','Succes'],['fail','Fail']],'Type'),
        'epostat': fields.Char("Epostat"),
        'hdrate': fields.Char("Hdrate"),
        'hdflag': fields.Char("Hdflag"),
        'amount': fields.Float("Amount"), 
        'paid': fields.Float("Paid"),
        'paychk': fields.Char("Paychk"),
        'dttran': fields.Char("Dttran"),
        'hreg': fields.Char("Hreg"),
        'station': fields.Char("Station"),
        'hn': fields.Char("HN"),
        'invno': fields.Char("InvNo"), 
        'rid': fields.Char("RID"),
        'cstat': fields.Char("Cstat"),
        'reimbpay': fields.Char("Reimbpay"),
    }
    

ImportDataNHSO.register()
